% Copyright Pieter Abbeel
%
function [likelihood_field, occupied_list] = likelihood_field_from_gridworld(gridworld, lf_xy_res, sigma, p_hit, p_uniform, z_max)

% likelihood_field(i,j) = likelihood field value at coordinates
% ( (i-1)*lf_xy_res, (j-1)*lf_xy_res) )
%
% the likelihood field is given by:
%  1/sqrt(2*pi)/sigma*exp(-0.5*d.^2/sigma^2) * p_hit + p_uniform * 1/z_max;
%  where d is the distance to the nearest reflecting surface

% YOUR code here



